package jp.asciimw.androidbook.chapter2.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;
import android.widget.Toast;

public class ToastService extends Service {
    private static final String LOG_TAG = ToastService.class.getSimpleName();
    private int member;
    @Override
    public void onCreate() {
        super.onCreate();
        Log.d(LOG_TAG, "onCreate");
    }
    
    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        onStart(intent, startId);
        showToast();
        return START_STICKY;
    }

    private void showToast() {
        Log.d(LOG_TAG, "Thread ID:" + "[" + Thread.currentThread().getId() + "] ");
        member++;
        Toast.makeText(this, "Object ID:" + toString() + "\nCount:" + member, Toast.LENGTH_SHORT).show();
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
