package jp.asciimw.androidbook.chapter2.backup_sample;

import android.app.backup.BackupAgentHelper;
import android.app.backup.SharedPreferencesBackupHelper;

/**
 * プリファレンスのバックアップを行う、BackupAgent実装
 */
public class ResumeCountBackupHelper extends BackupAgentHelper {
    
    private static final String PREFS = "resume";
    
    @Override
    public void onCreate() {
        String fileName = BackupSampleActivity.preferencesFileName;
        SharedPreferencesBackupHelper helper = 
                new SharedPreferencesBackupHelper(this,fileName);
        addHelper(PREFS, helper);
    }

}
