package jp.asciimw.androidbook.chapter2.twitter2;

import java.util.List;
import java.util.Map;
import android.os.AsyncTask;
import android.widget.SimpleAdapter;

public class TweetLoadTask extends AsyncTask<Void, Void, List<Map<String, String>>> {
    
    private List<Map<String,String>> mTweetList;
    private SimpleAdapter mAdapter;
    private String keyword;
    private TweetReader mReader = new TweetReader();
    
    public TweetLoadTask(String keyword,
            SimpleAdapter mAdapter, List<Map<String,String>> mTweetList) {
        this.keyword  = keyword;
        this.mAdapter = mAdapter;
        this.mTweetList = mTweetList;
    }

    @Override
    protected List<Map<String, String>> doInBackground(Void... params) {
        return mReader.getTweet(keyword);
    }
    
    @Override
    protected void onPostExecute(List<Map<String, String>> tweetList) {
        mTweetList.clear();
        mTweetList.addAll(tweetList);
        mAdapter.notifyDataSetChanged();
    }

}
