package jp.asciimw.androidbook.chapter2.twitter3;

import java.util.List;
import java.util.Map;

import jp.asciimw.androidbook.chapter2.twitter3.TweetReader;

import android.content.AsyncTaskLoader;
import android.content.Context;

public class TweetLoader extends AsyncTaskLoader<List<Map<String, String>>> {
    
    private String keyword;
    private TweetReader mReader = new TweetReader();

    public TweetLoader(Context context, String keyword) {
        super(context);
        this.keyword = keyword;
    }

    @Override
    public List<Map<String, String>> loadInBackground() {
        return mReader.getTweet(keyword);
    }

}
