package jp.asciimw.androidbook.chapter3.task;

import android.app.Application;
import android.util.Log;
import android.widget.Toast;

public class TaskAffinityExample extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        Log.d(getString(R.string.app_name), "onCreate");
        Toast.makeText(this, "Create: " + toString(), Toast.LENGTH_SHORT)
                .show();
    }

    @Override
    public void onTerminate() {
        super.onTerminate();
        Log.d(getString(R.string.app_name), "onTerminate");
        Toast.makeText(this, "Terminate: " + toString(), Toast.LENGTH_SHORT)
                .show();
    }

}
